var
t,i,n,m:longint;
begin
assign (input,'rook.in'); reset (input);
readln (t);
for i:=1 to t do begin
readln (n,m);
if (n=1) and (m=1) then writeln (0) else
if (n=1) or (m=1) then writeln (1) else
writeln (0);
end;
end.